EENC(1)

NAME
eenc - perform password encryption for RefDB clients

SYNOPSIS

eenc [-p ABC-DE-FG-HI] password

DESCRIPTION

RefDB(7) clients send passwords to refdbd(1) in an encrypted form. Programmers that implement custom clients in languages other than C or Perl may use this program to perform the password encryption if implementing the algorithm in the target language is too cumbersome. The program writes the encoded password to stdout. As the encoding algorithm is symmetrical, you can use this utility to encode plain text passwords as well as to decode encrypted passwords.

The algorithm used by eenc is derived from the ENIGMA algorithm. Security is limited but should be sufficient for the purposes of a reference management software. Please see the RefDB manual (see below) for further information about the client-server protocol.

OPTIONS

-p ABC-DE-FG-HI
    The slot and rotor position string sent back by refdbd(1) during the first stage of the client-server protocol. ABC denotes which wheel goes into which slot, and the remaining digits encode the positions of the wheels in slots 0 through 2.

password
    The plain-text password when encrypting, or the encoded password when decrypting.

SEE ALSO

RefDB (7), refdbd (1).

RefDB manual (local copy) PREFIX/share/doc/refdb-<version>/refdb-manual/index.html

RefDB manual (web) <http://refdb.sourceforge.net/manual/index.html>

RefDB on the web <http://refdb.sourceforge.net/>

AUTHOR

eenc was written by Markus Hoenicka <markus@mhoenicka.de>.